php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #65169 php-cgi: Content-type before Directive no longer available
Submitted: 2013-06-30 21:02 UTC Modified: 2018-03-14 13:59 UTC
Votes:2
Avg. Score:3.0 ± 2.0
Reproduced:1 of 2 (50.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: spamik at yum dot pl Assigned:
Status: Verified Package: CGI/CLI related
PHP Version: master-Git-2018-03-14 (Git) OS:
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: spamik at yum dot pl
New email:
PHP Version: OS:

 

 [2013-06-30 21:02 UTC] spamik at yum dot pl
Description:
------------
# ./php-cgi -n a.php
X-Powered-By: PHP/5.4.16
Content-type: text/html

# ./php-cgi -n -d magic_quotes_gpc=1 a.php
<br />
<b>Fatal error</b>:  Directive 'magic_quotes_gpc' is no longer available in PHP 
in <b>Unknown</b> on line <b>0</b><br />

expected:
# ./php-cgi -n -d magic_quotes_gpc=1 a.php
X-Powered-By: PHP/5.4.16
Content-type: text/html
<br />
<b>Fatal error</b>:  Directive 'magic_quotes_gpc' is no longer available in PHP 
in <b>Unknown</b> on line <b>0</b><br />

Not outputing Content-type header means that apache webserver will only return 
500 error without a webmaster actualy seeing error.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2013-07-01 07:21 UTC] ab@php.net
-PHP Version: 5.3.26 +PHP Version: 5.4Git-2013-06-25 (Git)
 [2013-07-01 07:21 UTC] ab@php.net
Not reproducible with 5.3
 [2018-03-14 13:59 UTC] cmb@php.net
-Summary: php-cgi: Content-type bfore Directive no longer available +Summary: php-cgi: Content-type before Directive no longer available -Status: Open +Status: Verified -Type: Feature/Change Request +Type: Bug -Package: *General Issues +Package: CGI/CLI related -PHP Version: 5.4Git-2013-06-25 (Git) +PHP Version: master-Git-2018-03-14 (Git)
 [2018-03-14 13:59 UTC] cmb@php.net
Still unresolved.
 
PHP Copyright © 2001-2018 The PHP Group
All rights reserved.
Last updated: Tue Dec 11 07:01:26 2018 UTC